Package com.smartgwt.client.widgets.ace

# Class AceEditSession

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.widgets.ace.AceEditSession

All Implemented Interfaces:
  `HasHandlers`

public class AceEditSession extends BaseClass
Internal use only.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AceEditSession()`
  `AceEditSession(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `addFloatingMarker(AceRange range, String style, String type)`
  Internal use only.
  `Integer`
  `addFloatingMarker(AceRange range, String style, String type, Boolean inFront)`
  Internal use only.
  `Integer`
  `addMarker(AceRange range, String style, String type)`
  Internal use only.
  `Integer`
  `addMarker(AceRange range, String style, String type, Boolean inFront)`
  Internal use only.
  `JavaScriptObject`
  `create()`
  `AceDocument`
  `getDocument()`
  Internal use only.
  `JavaScriptObject`
  `getJsObj()`
  `Integer`
  `getLength()`
  Internal use only.
  `String`
  `getLine(Integer row)`
  Internal use only.
  `String[]`
  `getLines(Integer firstRow, Integer lastRow)`
  Internal use only.
  `AceMarker`
  `getMarker(Integer id)`
  Internal use only.
  `AceMarker[]`
  `getMarkers()`
  Internal use only.
  `AceMarker[]`
  `getMarkers(Boolean inFront)`
  Internal use only.
  `JavaScriptObject`
  `getOrCreateJsObj()`
  `static AceEditSession`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Integer`
  `getTabSize()`
  Internal use only.
  `String`
  `getTextRange(AceRange range)`
  Internal use only.
  `AceUndoManager`
  `getUndoManager()`
  Internal use only.
  `String`
  `getValue()`
  Internal use only.
  `void`
  `insert(AcePosition position, String text)`
  Internal use only.
  `boolean`
  `isCreated()`
  `void`
  `remove(AceRange range)`
  Internal use only.
  `void`
  `removeMarker(Integer id)`
  Internal use only.
  `void`
  `setJavaScriptObject(JavaScriptObject jsObj)`
  `AceEditSession`
  `setTabSize(Integer tabSize)`
  Internal use only.
  `void`
  `setUndoManager(AceUndoManager undoManager)`
  Internal use only.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AceEditSession

    public AceEditSession()

  - ### AceEditSession

    public AceEditSession(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AceEditSession getOrCreateRef(JavaScriptObject jsObj)

  - ### setJavaScriptObject

    public void setJavaScriptObject(JavaScriptObject jsObj)
    Overrides:
      `setJavaScriptObject` in class `BaseClass`

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### isCreated

    public boolean isCreated()
    Overrides:
      `isCreated` in class `BaseClass`

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `BaseClass`

  - ### getOrCreateJsObj

    public JavaScriptObject getOrCreateJsObj()
    Overrides:
      `getOrCreateJsObj` in class `BaseClass`

  - ### setTabSize

    public AceEditSession setTabSize(Integer tabSize)
    Internal use only.

  - ### getTabSize

    public Integer getTabSize()
    Internal use only.

  - ### addFloatingMarker

    public Integer addFloatingMarker(AceRange range, String style, String type)
    Internal use only.

  - ### addFloatingMarker

    public Integer addFloatingMarker(AceRange range, String style, String type, Boolean inFront)
    Internal use only.

  - ### addMarker

    public Integer addMarker(AceRange range, String style, String type)
    Internal use only.

  - ### addMarker

    public Integer addMarker(AceRange range, String style, String type, Boolean inFront)
    Internal use only.

  - ### getDocument

    public AceDocument getDocument()
    Internal use only.

  - ### getLength

    public Integer getLength()
    Internal use only.

  - ### getLine

    public String getLine(Integer row)
    Internal use only.

  - ### getLines

    public String[] getLines(Integer firstRow, Integer lastRow)
    Internal use only.

  - ### getMarker

    public AceMarker getMarker(Integer id)
    Internal use only.

  - ### getMarkers

    public AceMarker[] getMarkers()
    Internal use only.

  - ### getMarkers

    public AceMarker[] getMarkers(Boolean inFront)
    Internal use only.

  - ### getTextRange

    public String getTextRange(AceRange range)
    Internal use only.

  - ### getUndoManager

    public AceUndoManager getUndoManager()
    Internal use only.

  - ### getValue

    public String getValue()
    Internal use only.

  - ### insert

    public void insert(AcePosition position, String text)
    Internal use only.

  - ### remove

    public void remove(AceRange range)
    Internal use only.

  - ### removeMarker

    public void removeMarker(Integer id)
    Internal use only.

  - ### setUndoManager

    public void setUndoManager(AceUndoManager undoManager)
    Internal use only.